# mill.py, Markdown interface for llama.cpp
# Copyright (C) 2024 unworriedsafari <unworriedsafari@tilde.club>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>

"""
Generate README for all built-in `mill.py` modules.
"""

import mill
import mill_cli, mill_cgi
import mill_lang_markdown, mill_llm_llama_cpp
import mill_example_markdown_llama_cpp


if __name__ == "__main__":
    print(mill.__doc__.strip())
    print()
    print()
    print(mill_cli.__doc__.strip())
    print()
    print()
    print(mill_cgi.__doc__.strip())
    print()
    print()
    print(mill_lang_markdown.__doc__.strip())
    print()
    print()
    print(mill_llm_llama_cpp.__doc__.strip())
    print()
    print()
    print(mill_example_markdown_llama_cpp.__doc__.strip())
